Skip to content

Download a ZIP file containing the client code distribution directory, including the client code files and the distribution manifest (distribution-manifest.json).

GET/api/{version}/uicode/distributions/{distribution_name}/code
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{distribution_name}The name attribute of the client code distribution to download.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v26.1/uicode/distributions/custom_page__c/code
Content-Type: application/zip;charset=UTF-8 Content-Disposition: form-data; name="attachment"; filename="custom_page__c.zip"

On SUCCESS, Vault packages and returns the client code distribution directory as a ZIP file. The HTTP Response Header Content-Type is set to application/zip;charset=UTF-8. The Content-Disposition header contains a filename component which can be used when naming the local file. The filename is {distribution_name}.zip.